Needless Patchouli Manufacture

    vimlint

    0.2.5 • Public • Published

    node-vimlint

    npm version Build Status Code Climate Coverage Status Gemnasium

    Validate .vimrc, .vim files with vimlint.

    Getting Started

    This library requires sh and Vim.

    $ npm install vimlint --save

    If you want to use vimlint command on CLI, try to install in global (>= v0.2.0).

    $ npm install -g vimlint

    References

    vimlint(path, cb)

    • path: string ... Target .vim file path (not Array)
    • cb: function ... Callback function
      • err: object ... Error object
      • stdout: string ... Log string of vimlint
      • stderr: string ... Error string of vimlint
    var vimlint = require('vimlint')
     
    vimlint('testfile.vim', function (err, stdout, stderr) {
      if (stdout) { process.stdout.write(stdout); }
      if (stderr) { process.stderr.write(stderr); }
     
      if (err) {
        console.log('ERROR', err);
      }
     
      else {
        console.log('OK');
      }
    });

    $ vimlint <file ...>

    $ vimlint -h
     
      Usage: vimlint <file ...>
     
      Options:
     
        -h, --help     output usage information
        -V, --version  output the version number
     
    $ vimlint foo.vim

    Additional Notes

    This library doesn't work on Windows. It works on Linux, Mac OS X, or other *nix OSs.

    Plugins

    This library can use from Grunt and gulp.

    Acknowledgement

    This library uses following software to validate .vim files. Thank you.

    License

    MIT License

    Keywords

    none

    Install

    npm i vimlint

    DownloadsWeekly Downloads

    14

    Version

    0.2.5

    License

    MIT

    Last publish

    Collaborators

    • pine613